import React from 'react';
import { Route, Redirect } from 'react-router';
import * as routes from '../../../constants/routes';

export default ({ component: Component, user, ...rest }) => (
        <Route
            {...rest}
            render={props => (
                user
                    ? <Component {...props} />
                    : <Redirect to={routes.SIGN_IN} />
            )}
        />
)

